Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2126333002: roll libyuv from r1579 to r1607 (Closed)

Created:
2 years, 8 months ago by fbarchard1
Modified:
2 years, 8 months ago
Reviewers:
Robert Sesek
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

roll libyuv from r1579 to r1607 roll libyuv for GN fix to chromium internal settings, enabling more warnings and consistant with gyp build options. Add ARGBExtractAlpha function. Fix YUV bilinear filter improved filter accuracy; uses 128-f instead of 127-f. unittest fixes for Arm scaler - use J420 for J422 pointing to same row, improving performance and accuracy. Fix ios jpeg build error. Fix BlendPlaneRow_SSSE3 impossible constraints on android full debug Fix unittests to avoid private row.h header. Fix vector_size(32) build error on yuv conversion for intel on gcc 4.4. BUG=libyuv:572, chromium:592745, libyuv:575, libyuv:579, libyuv:573, libyuv:583, chromium:601140, libyuv:582, libyuv:581, chromium:601140, libyuv:578, libyuv:581, libyuv:580, libyuv:586, libyuv:590, webrtc:5006, libyuv:593, libyuv:592, libyuv:594, libyuv:595, libyuv:597, libyuv:599, libyuv:598, libyuv:600, libyuv:602, libyuv:605, libyuv:610, libyuv:612, libyuv:618, libyuv:620, webrtc:6091, webrtc:6094, libyuv:616, libyuv:623 TEST=try bots R=rsesek@chromium.org Committed: https://crrev.com/053185feb2645e1628e6b25fbf1e21f309c26776 Cr-Commit-Position: refs/heads/master@{#405512}

Patch Set 1 #

Patch Set 2 : rebased #

Patch Set 3 : corrected libyuv revision" #

Patch Set 4 : Merge branch 'master' of https://chromium.googlesource.com/chromium/src into yasm_gl #

Patch Set 5 : include a version of libyuv with duplicate I420Rect #

Patch Set 6 : typo fix in version # #

Patch Set 7 : rebasing deps #

Patch Set 8 : bump version to master # #

Patch Set 9 : rebasing #

Patch Set 10 : gclient sync #

Patch Set 11 : include new version of libyuv that duplicates includes #

Patch Set 12 : bump libyuv to head #

Patch Set 13 : disable YUV3 test for MSAN #

Patch Set 14 : bump deps to alias of ABGR #

Patch Set 15 : align avx2 constants to 32 #

Patch Set 16 : bump libyuv to align32 version #

Patch Set 17 : Merge branch 'master' of https://chromium.googlesource.com/chromium/src into libyuv_r1607 #

Patch Set 18 : Merge branch 'master' of https://chromium.googlesource.com/chromium/src into libyuv_r1607 #

Patch Set 19 : git pull #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 67 (45 generated)
fbarchard1
2 years, 8 months ago (2016-07-07 18:52:20 UTC) #1
Robert Sesek
LGTM pending green try runs
2 years, 8 months ago (2016-07-07 18:53:00 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/20001
2 years, 8 months ago (2016-07-07 23:10:17 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/164343) chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
2 years, 8 months ago (2016-07-07 23:11:03 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/20001
2 years, 8 months ago (2016-07-08 00:10:22 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/187606) chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
2 years, 8 months ago (2016-07-08 00:15:30 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/20001
2 years, 8 months ago (2016-07-08 17:38:34 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/259305) win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, ...
2 years, 8 months ago (2016-07-08 17:40:25 UTC) #15
fbarchard1
As far as I can tell, my CL is okay but the bots are in ...
2 years, 8 months ago (2016-07-08 17:57:13 UTC) #16
Robert Sesek
On 2016/07/08 17:57:13, fbarchard1 wrote: > As far as I can tell, my CL is ...
2 years, 8 months ago (2016-07-08 18:18:49 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/20001
2 years, 8 months ago (2016-07-08 18:48:04 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator-gn on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator-gn/builds/33157) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
2 years, 8 months ago (2016-07-08 18:51:49 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/180001
2 years, 8 months ago (2016-07-09 00:33:23 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_android on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/cast_shell_android/builds/93526) mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
2 years, 8 months ago (2016-07-09 00:39:26 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/210001
2 years, 8 months ago (2016-07-13 01:44:30 UTC) #30
fbarchard1
Two real issues so far 1. libyuv headers stopped including each other, and webrtc and ...
2 years, 8 months ago (2016-07-13 19:44:40 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/290001
2 years, 8 months ago (2016-07-13 21:51:01 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2126333002/350001
2 years, 8 months ago (2016-07-14 17:27:25 UTC) #61
commit-bot: I haz the power
Committed patchset #19 (id:350001)
2 years, 8 months ago (2016-07-14 17:32:43 UTC) #63
commit-bot: I haz the power
CQ bit was unchecked.
2 years, 8 months ago (2016-07-14 17:32:52 UTC) #64
commit-bot: I haz the power
Patchset 19 (id:??) landed as https://crrev.com/053185feb2645e1628e6b25fbf1e21f309c26776 Cr-Commit-Position: refs/heads/master@{#405512}
2 years, 8 months ago (2016-07-14 17:34:32 UTC) #66
wjmaclean
2 years, 8 months ago (2016-07-14 18:42:51 UTC) #67
Message was sent while issue was closed.
A revert of this CL (patchset #19 id:350001) has been created in
https://codereview.chromium.org/2153503002/ by wjmaclean@chromium.org.

The reason for reverting is: Causing compile failures on:

https://build.chromium.org/p/chromium.webkit/builders/WebKit%20Linux%20MSAN.

Powered by Google App Engine
This is Rietveld 408576698